Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network0.2.192.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
0.2.192.0
Broadcast address
0.2.255.255
First usable
0.2.192.1
Last usable
0.2.255.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
This network 0.0.0.0/8
Not routed; 0.0.0.0 means "any address" in settings
Old class
A (default /8)
As numbers
Hex 0002C000 · Integer 180224 to 196607
Reverse DNS zones
192.2.0.in-addr.arpa
193.2.0.in-addr.arpa
194.2.0.in-addr.arpa
195.2.0.in-addr.arpa
196.2.0.in-addr.arpa
197.2.0.in-addr.arpa
198.2.0.in-addr.arpa
199.2.0.in-addr.arpa
200.2.0.in-addr.arpa
201.2.0.in-addr.arpa
202.2.0.in-addr.arpa
203.2.0.in-addr.arpa
204.2.0.in-addr.arpa
205.2.0.in-addr.arpa
206.2.0.in-addr.arpa
207.2.0.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000000.00000010.11000000.000000000.2.192.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00000000.00000010.11000000.000000000.2.192.0
Broadcast00000000.00000010.11111111.111111110.2.255.255
Split into smaller subnets/28

0.2.192.0/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
10.2.192.0/280.2.192.1 to 0.2.192.140.2.192.1514
20.2.192.16/280.2.192.17 to 0.2.192.300.2.192.3114
30.2.192.32/280.2.192.33 to 0.2.192.460.2.192.4714
40.2.192.48/280.2.192.49 to 0.2.192.620.2.192.6314
50.2.192.64/280.2.192.65 to 0.2.192.780.2.192.7914
60.2.192.80/280.2.192.81 to 0.2.192.940.2.192.9514
70.2.192.96/280.2.192.97 to 0.2.192.1100.2.192.11114
80.2.192.112/280.2.192.113 to 0.2.192.1260.2.192.12714
90.2.192.128/280.2.192.129 to 0.2.192.1420.2.192.14314
100.2.192.144/280.2.192.145 to 0.2.192.1580.2.192.15914
110.2.192.160/280.2.192.161 to 0.2.192.1740.2.192.17514
120.2.192.176/280.2.192.177 to 0.2.192.1900.2.192.19114
130.2.192.192/280.2.192.193 to 0.2.192.2060.2.192.20714
140.2.192.208/280.2.192.209 to 0.2.192.2220.2.192.22314
150.2.192.224/280.2.192.225 to 0.2.192.2380.2.192.23914
160.2.192.240/280.2.192.241 to 0.2.192.2540.2.192.25514
170.2.193.0/280.2.193.1 to 0.2.193.140.2.193.1514
180.2.193.16/280.2.193.17 to 0.2.193.300.2.193.3114
190.2.193.32/280.2.193.33 to 0.2.193.460.2.193.4714
200.2.193.48/280.2.193.49 to 0.2.193.620.2.193.6314
210.2.193.64/280.2.193.65 to 0.2.193.780.2.193.7914
220.2.193.80/280.2.193.81 to 0.2.193.940.2.193.9514
230.2.193.96/280.2.193.97 to 0.2.193.1100.2.193.11114
240.2.193.112/280.2.193.113 to 0.2.193.1260.2.193.12714
250.2.193.128/280.2.193.129 to 0.2.193.1420.2.193.14314
260.2.193.144/280.2.193.145 to 0.2.193.1580.2.193.15914
270.2.193.160/280.2.193.161 to 0.2.193.1740.2.193.17514
280.2.193.176/280.2.193.177 to 0.2.193.1900.2.193.19114
290.2.193.192/280.2.193.193 to 0.2.193.2060.2.193.20714
300.2.193.208/280.2.193.209 to 0.2.193.2220.2.193.22314
310.2.193.224/280.2.193.225 to 0.2.193.2380.2.193.23914
320.2.193.240/280.2.193.241 to 0.2.193.2540.2.193.25514
330.2.194.0/280.2.194.1 to 0.2.194.140.2.194.1514
340.2.194.16/280.2.194.17 to 0.2.194.300.2.194.3114
350.2.194.32/280.2.194.33 to 0.2.194.460.2.194.4714
360.2.194.48/280.2.194.49 to 0.2.194.620.2.194.6314
370.2.194.64/280.2.194.65 to 0.2.194.780.2.194.7914
380.2.194.80/280.2.194.81 to 0.2.194.940.2.194.9514
390.2.194.96/280.2.194.97 to 0.2.194.1100.2.194.11114
400.2.194.112/280.2.194.113 to 0.2.194.1260.2.194.12714
410.2.194.128/280.2.194.129 to 0.2.194.1420.2.194.14314
420.2.194.144/280.2.194.145 to 0.2.194.1580.2.194.15914
430.2.194.160/280.2.194.161 to 0.2.194.1740.2.194.17514
440.2.194.176/280.2.194.177 to 0.2.194.1900.2.194.19114
450.2.194.192/280.2.194.193 to 0.2.194.2060.2.194.20714
460.2.194.208/280.2.194.209 to 0.2.194.2220.2.194.22314
470.2.194.224/280.2.194.225 to 0.2.194.2380.2.194.23914
480.2.194.240/280.2.194.241 to 0.2.194.2540.2.194.25514
490.2.195.0/280.2.195.1 to 0.2.195.140.2.195.1514
500.2.195.16/280.2.195.17 to 0.2.195.300.2.195.3114
510.2.195.32/280.2.195.33 to 0.2.195.460.2.195.4714
520.2.195.48/280.2.195.49 to 0.2.195.620.2.195.6314
530.2.195.64/280.2.195.65 to 0.2.195.780.2.195.7914
540.2.195.80/280.2.195.81 to 0.2.195.940.2.195.9514
550.2.195.96/280.2.195.97 to 0.2.195.1100.2.195.11114
560.2.195.112/280.2.195.113 to 0.2.195.1260.2.195.12714
570.2.195.128/280.2.195.129 to 0.2.195.1420.2.195.14314
580.2.195.144/280.2.195.145 to 0.2.195.1580.2.195.15914
590.2.195.160/280.2.195.161 to 0.2.195.1740.2.195.17514
600.2.195.176/280.2.195.177 to 0.2.195.1900.2.195.19114
610.2.195.192/280.2.195.193 to 0.2.195.2060.2.195.20714
620.2.195.208/280.2.195.209 to 0.2.195.2220.2.195.22314
630.2.195.224/280.2.195.225 to 0.2.195.2380.2.195.23914
640.2.195.240/280.2.195.241 to 0.2.195.2540.2.195.25514
650.2.196.0/280.2.196.1 to 0.2.196.140.2.196.1514
660.2.196.16/280.2.196.17 to 0.2.196.300.2.196.3114
670.2.196.32/280.2.196.33 to 0.2.196.460.2.196.4714
680.2.196.48/280.2.196.49 to 0.2.196.620.2.196.6314
690.2.196.64/280.2.196.65 to 0.2.196.780.2.196.7914
700.2.196.80/280.2.196.81 to 0.2.196.940.2.196.9514
710.2.196.96/280.2.196.97 to 0.2.196.1100.2.196.11114
720.2.196.112/280.2.196.113 to 0.2.196.1260.2.196.12714
730.2.196.128/280.2.196.129 to 0.2.196.1420.2.196.14314
740.2.196.144/280.2.196.145 to 0.2.196.1580.2.196.15914
750.2.196.160/280.2.196.161 to 0.2.196.1740.2.196.17514
760.2.196.176/280.2.196.177 to 0.2.196.1900.2.196.19114
770.2.196.192/280.2.196.193 to 0.2.196.2060.2.196.20714
780.2.196.208/280.2.196.209 to 0.2.196.2220.2.196.22314
790.2.196.224/280.2.196.225 to 0.2.196.2380.2.196.23914
800.2.196.240/280.2.196.241 to 0.2.196.2540.2.196.25514
810.2.197.0/280.2.197.1 to 0.2.197.140.2.197.1514
820.2.197.16/280.2.197.17 to 0.2.197.300.2.197.3114
830.2.197.32/280.2.197.33 to 0.2.197.460.2.197.4714
840.2.197.48/280.2.197.49 to 0.2.197.620.2.197.6314
850.2.197.64/280.2.197.65 to 0.2.197.780.2.197.7914
860.2.197.80/280.2.197.81 to 0.2.197.940.2.197.9514
870.2.197.96/280.2.197.97 to 0.2.197.1100.2.197.11114
880.2.197.112/280.2.197.113 to 0.2.197.1260.2.197.12714
890.2.197.128/280.2.197.129 to 0.2.197.1420.2.197.14314
900.2.197.144/280.2.197.145 to 0.2.197.1580.2.197.15914
910.2.197.160/280.2.197.161 to 0.2.197.1740.2.197.17514
920.2.197.176/280.2.197.177 to 0.2.197.1900.2.197.19114
930.2.197.192/280.2.197.193 to 0.2.197.2060.2.197.20714
940.2.197.208/280.2.197.209 to 0.2.197.2220.2.197.22314
950.2.197.224/280.2.197.225 to 0.2.197.2380.2.197.23914
960.2.197.240/280.2.197.241 to 0.2.197.2540.2.197.25514
970.2.198.0/280.2.198.1 to 0.2.198.140.2.198.1514
980.2.198.16/280.2.198.17 to 0.2.198.300.2.198.3114
990.2.198.32/280.2.198.33 to 0.2.198.460.2.198.4714
1000.2.198.48/280.2.198.49 to 0.2.198.620.2.198.6314
1010.2.198.64/280.2.198.65 to 0.2.198.780.2.198.7914
1020.2.198.80/280.2.198.81 to 0.2.198.940.2.198.9514
1030.2.198.96/280.2.198.97 to 0.2.198.1100.2.198.11114
1040.2.198.112/280.2.198.113 to 0.2.198.1260.2.198.12714
1050.2.198.128/280.2.198.129 to 0.2.198.1420.2.198.14314
1060.2.198.144/280.2.198.145 to 0.2.198.1580.2.198.15914
1070.2.198.160/280.2.198.161 to 0.2.198.1740.2.198.17514
1080.2.198.176/280.2.198.177 to 0.2.198.1900.2.198.19114
1090.2.198.192/280.2.198.193 to 0.2.198.2060.2.198.20714
1100.2.198.208/280.2.198.209 to 0.2.198.2220.2.198.22314
1110.2.198.224/280.2.198.225 to 0.2.198.2380.2.198.23914
1120.2.198.240/280.2.198.241 to 0.2.198.2540.2.198.25514
1130.2.199.0/280.2.199.1 to 0.2.199.140.2.199.1514
1140.2.199.16/280.2.199.17 to 0.2.199.300.2.199.3114
1150.2.199.32/280.2.199.33 to 0.2.199.460.2.199.4714
1160.2.199.48/280.2.199.49 to 0.2.199.620.2.199.6314
1170.2.199.64/280.2.199.65 to 0.2.199.780.2.199.7914
1180.2.199.80/280.2.199.81 to 0.2.199.940.2.199.9514
1190.2.199.96/280.2.199.97 to 0.2.199.1100.2.199.11114
1200.2.199.112/280.2.199.113 to 0.2.199.1260.2.199.12714
1210.2.199.128/280.2.199.129 to 0.2.199.1420.2.199.14314
1220.2.199.144/280.2.199.145 to 0.2.199.1580.2.199.15914
1230.2.199.160/280.2.199.161 to 0.2.199.1740.2.199.17514
1240.2.199.176/280.2.199.177 to 0.2.199.1900.2.199.19114
1250.2.199.192/280.2.199.193 to 0.2.199.2060.2.199.20714
1260.2.199.208/280.2.199.209 to 0.2.199.2220.2.199.22314
1270.2.199.224/280.2.199.225 to 0.2.199.2380.2.199.23914
1280.2.199.240/280.2.199.241 to 0.2.199.2540.2.199.25514
1290.2.200.0/280.2.200.1 to 0.2.200.140.2.200.1514
1300.2.200.16/280.2.200.17 to 0.2.200.300.2.200.3114
1310.2.200.32/280.2.200.33 to 0.2.200.460.2.200.4714
1320.2.200.48/280.2.200.49 to 0.2.200.620.2.200.6314
1330.2.200.64/280.2.200.65 to 0.2.200.780.2.200.7914
1340.2.200.80/280.2.200.81 to 0.2.200.940.2.200.9514
1350.2.200.96/280.2.200.97 to 0.2.200.1100.2.200.11114
1360.2.200.112/280.2.200.113 to 0.2.200.1260.2.200.12714
1370.2.200.128/280.2.200.129 to 0.2.200.1420.2.200.14314
1380.2.200.144/280.2.200.145 to 0.2.200.1580.2.200.15914
1390.2.200.160/280.2.200.161 to 0.2.200.1740.2.200.17514
1400.2.200.176/280.2.200.177 to 0.2.200.1900.2.200.19114
1410.2.200.192/280.2.200.193 to 0.2.200.2060.2.200.20714
1420.2.200.208/280.2.200.209 to 0.2.200.2220.2.200.22314
1430.2.200.224/280.2.200.225 to 0.2.200.2380.2.200.23914
1440.2.200.240/280.2.200.241 to 0.2.200.2540.2.200.25514
1450.2.201.0/280.2.201.1 to 0.2.201.140.2.201.1514
1460.2.201.16/280.2.201.17 to 0.2.201.300.2.201.3114
1470.2.201.32/280.2.201.33 to 0.2.201.460.2.201.4714
1480.2.201.48/280.2.201.49 to 0.2.201.620.2.201.6314
1490.2.201.64/280.2.201.65 to 0.2.201.780.2.201.7914
1500.2.201.80/280.2.201.81 to 0.2.201.940.2.201.9514
1510.2.201.96/280.2.201.97 to 0.2.201.1100.2.201.11114
1520.2.201.112/280.2.201.113 to 0.2.201.1260.2.201.12714
1530.2.201.128/280.2.201.129 to 0.2.201.1420.2.201.14314
1540.2.201.144/280.2.201.145 to 0.2.201.1580.2.201.15914
1550.2.201.160/280.2.201.161 to 0.2.201.1740.2.201.17514
1560.2.201.176/280.2.201.177 to 0.2.201.1900.2.201.19114
1570.2.201.192/280.2.201.193 to 0.2.201.2060.2.201.20714
1580.2.201.208/280.2.201.209 to 0.2.201.2220.2.201.22314
1590.2.201.224/280.2.201.225 to 0.2.201.2380.2.201.23914
1600.2.201.240/280.2.201.241 to 0.2.201.2540.2.201.25514
1610.2.202.0/280.2.202.1 to 0.2.202.140.2.202.1514
1620.2.202.16/280.2.202.17 to 0.2.202.300.2.202.3114
1630.2.202.32/280.2.202.33 to 0.2.202.460.2.202.4714
1640.2.202.48/280.2.202.49 to 0.2.202.620.2.202.6314
1650.2.202.64/280.2.202.65 to 0.2.202.780.2.202.7914
1660.2.202.80/280.2.202.81 to 0.2.202.940.2.202.9514
1670.2.202.96/280.2.202.97 to 0.2.202.1100.2.202.11114
1680.2.202.112/280.2.202.113 to 0.2.202.1260.2.202.12714
1690.2.202.128/280.2.202.129 to 0.2.202.1420.2.202.14314
1700.2.202.144/280.2.202.145 to 0.2.202.1580.2.202.15914
1710.2.202.160/280.2.202.161 to 0.2.202.1740.2.202.17514
1720.2.202.176/280.2.202.177 to 0.2.202.1900.2.202.19114
1730.2.202.192/280.2.202.193 to 0.2.202.2060.2.202.20714
1740.2.202.208/280.2.202.209 to 0.2.202.2220.2.202.22314
1750.2.202.224/280.2.202.225 to 0.2.202.2380.2.202.23914
1760.2.202.240/280.2.202.241 to 0.2.202.2540.2.202.25514
1770.2.203.0/280.2.203.1 to 0.2.203.140.2.203.1514
1780.2.203.16/280.2.203.17 to 0.2.203.300.2.203.3114
1790.2.203.32/280.2.203.33 to 0.2.203.460.2.203.4714
1800.2.203.48/280.2.203.49 to 0.2.203.620.2.203.6314
1810.2.203.64/280.2.203.65 to 0.2.203.780.2.203.7914
1820.2.203.80/280.2.203.81 to 0.2.203.940.2.203.9514
1830.2.203.96/280.2.203.97 to 0.2.203.1100.2.203.11114
1840.2.203.112/280.2.203.113 to 0.2.203.1260.2.203.12714
1850.2.203.128/280.2.203.129 to 0.2.203.1420.2.203.14314
1860.2.203.144/280.2.203.145 to 0.2.203.1580.2.203.15914
1870.2.203.160/280.2.203.161 to 0.2.203.1740.2.203.17514
1880.2.203.176/280.2.203.177 to 0.2.203.1900.2.203.19114
1890.2.203.192/280.2.203.193 to 0.2.203.2060.2.203.20714
1900.2.203.208/280.2.203.209 to 0.2.203.2220.2.203.22314
1910.2.203.224/280.2.203.225 to 0.2.203.2380.2.203.23914
1920.2.203.240/280.2.203.241 to 0.2.203.2540.2.203.25514
1930.2.204.0/280.2.204.1 to 0.2.204.140.2.204.1514
1940.2.204.16/280.2.204.17 to 0.2.204.300.2.204.3114
1950.2.204.32/280.2.204.33 to 0.2.204.460.2.204.4714
1960.2.204.48/280.2.204.49 to 0.2.204.620.2.204.6314
1970.2.204.64/280.2.204.65 to 0.2.204.780.2.204.7914
1980.2.204.80/280.2.204.81 to 0.2.204.940.2.204.9514
1990.2.204.96/280.2.204.97 to 0.2.204.1100.2.204.11114
2000.2.204.112/280.2.204.113 to 0.2.204.1260.2.204.12714
2010.2.204.128/280.2.204.129 to 0.2.204.1420.2.204.14314
2020.2.204.144/280.2.204.145 to 0.2.204.1580.2.204.15914
2030.2.204.160/280.2.204.161 to 0.2.204.1740.2.204.17514
2040.2.204.176/280.2.204.177 to 0.2.204.1900.2.204.19114
2050.2.204.192/280.2.204.193 to 0.2.204.2060.2.204.20714
2060.2.204.208/280.2.204.209 to 0.2.204.2220.2.204.22314
2070.2.204.224/280.2.204.225 to 0.2.204.2380.2.204.23914
2080.2.204.240/280.2.204.241 to 0.2.204.2540.2.204.25514
2090.2.205.0/280.2.205.1 to 0.2.205.140.2.205.1514
2100.2.205.16/280.2.205.17 to 0.2.205.300.2.205.3114
2110.2.205.32/280.2.205.33 to 0.2.205.460.2.205.4714
2120.2.205.48/280.2.205.49 to 0.2.205.620.2.205.6314
2130.2.205.64/280.2.205.65 to 0.2.205.780.2.205.7914
2140.2.205.80/280.2.205.81 to 0.2.205.940.2.205.9514
2150.2.205.96/280.2.205.97 to 0.2.205.1100.2.205.11114
2160.2.205.112/280.2.205.113 to 0.2.205.1260.2.205.12714
2170.2.205.128/280.2.205.129 to 0.2.205.1420.2.205.14314
2180.2.205.144/280.2.205.145 to 0.2.205.1580.2.205.15914
2190.2.205.160/280.2.205.161 to 0.2.205.1740.2.205.17514
2200.2.205.176/280.2.205.177 to 0.2.205.1900.2.205.19114
2210.2.205.192/280.2.205.193 to 0.2.205.2060.2.205.20714
2220.2.205.208/280.2.205.209 to 0.2.205.2220.2.205.22314
2230.2.205.224/280.2.205.225 to 0.2.205.2380.2.205.23914
2240.2.205.240/280.2.205.241 to 0.2.205.2540.2.205.25514
2250.2.206.0/280.2.206.1 to 0.2.206.140.2.206.1514
2260.2.206.16/280.2.206.17 to 0.2.206.300.2.206.3114
2270.2.206.32/280.2.206.33 to 0.2.206.460.2.206.4714
2280.2.206.48/280.2.206.49 to 0.2.206.620.2.206.6314
2290.2.206.64/280.2.206.65 to 0.2.206.780.2.206.7914
2300.2.206.80/280.2.206.81 to 0.2.206.940.2.206.9514
2310.2.206.96/280.2.206.97 to 0.2.206.1100.2.206.11114
2320.2.206.112/280.2.206.113 to 0.2.206.1260.2.206.12714
2330.2.206.128/280.2.206.129 to 0.2.206.1420.2.206.14314
2340.2.206.144/280.2.206.145 to 0.2.206.1580.2.206.15914
2350.2.206.160/280.2.206.161 to 0.2.206.1740.2.206.17514
2360.2.206.176/280.2.206.177 to 0.2.206.1900.2.206.19114
2370.2.206.192/280.2.206.193 to 0.2.206.2060.2.206.20714
2380.2.206.208/280.2.206.209 to 0.2.206.2220.2.206.22314
2390.2.206.224/280.2.206.225 to 0.2.206.2380.2.206.23914
2400.2.206.240/280.2.206.241 to 0.2.206.2540.2.206.25514
2410.2.207.0/280.2.207.1 to 0.2.207.140.2.207.1514
2420.2.207.16/280.2.207.17 to 0.2.207.300.2.207.3114
2430.2.207.32/280.2.207.33 to 0.2.207.460.2.207.4714
2440.2.207.48/280.2.207.49 to 0.2.207.620.2.207.6314
2450.2.207.64/280.2.207.65 to 0.2.207.780.2.207.7914
2460.2.207.80/280.2.207.81 to 0.2.207.940.2.207.9514
2470.2.207.96/280.2.207.97 to 0.2.207.1100.2.207.11114
2480.2.207.112/280.2.207.113 to 0.2.207.1260.2.207.12714
2490.2.207.128/280.2.207.129 to 0.2.207.1420.2.207.14314
2500.2.207.144/280.2.207.145 to 0.2.207.1580.2.207.15914
2510.2.207.160/280.2.207.161 to 0.2.207.1740.2.207.17514
2520.2.207.176/280.2.207.177 to 0.2.207.1900.2.207.19114
2530.2.207.192/280.2.207.193 to 0.2.207.2060.2.207.20714
2540.2.207.208/280.2.207.209 to 0.2.207.2220.2.207.22314
2550.2.207.224/280.2.207.225 to 0.2.207.2380.2.207.23914
2560.2.207.240/280.2.207.241 to 0.2.207.2540.2.207.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses